Bug 1233989 - Review Request: gap-pkg-aclib - Almost Crystallographic groups library for GAP
Summary: Review Request: gap-pkg-aclib - Almost Crystallographic groups library for GAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1233988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 23:33 UTC by Jerry James
Modified: 2015-08-07 13:03 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-aclib-1.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 13:03:31 UTC
gbcox: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-06-19 23:33:51 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-aclib/gap-pkg-aclib.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-aclib/gap-pkg-aclib-1.2-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: The AClib package contains a library of almost crystallographic groups and some algorithms to compute with these groups. A group is called almost crystallographic if it is finitely generated nilpotent-by-finite and has no nontrivial finite normal subgroups. Further, an almost crystallographic group is called almost Bieberbach if it is torsion-free. The almost crystallographic groups of Hirsch length 3 and a part of the almost cyrstallographic groups of Hirsch length 4 have been classified by Dekimpe. This classification includes all almost Bieberbach groups of Hirsch lengths 3 or 4. The AClib package gives access to this classification; that is, the package contains this library of groups in a computationally useful form. The groups in this library are available in two different representations. First, each of the groups of Hirsch length 3 or 4 has a rational matrix representation of dimension 4 or 5, respectively, and such representations are available in this package. Secondly, all the groups in this libraray are (infinite) polycyclic groups and the package also incorporates polycyclic presentations for them. The polycyclic presentations can be used to compute with the given groups using the methods of the Polycyclic package.

Comment 1 Gerald Cox 2015-07-20 18:37:53 UTC
Jerry,
A few errors on rpmlint... looks like a typo for "libraray", the others I believe are false positives.

You also threw a few errors:

gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Entries
see:  https://fedoraproject.org/wiki/Common_Rpmlint_issues#version-control-internal-file

and:

gap-pkg-aclib.noarch: W: wrong-file-end-of-line-encoding /usr/lib/gap/pkg/aclib/doc/algos.tex
see:  https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding
This doesn't appear too serious... you should let upstream know, and fix for the interim if you are so inclined, but I don't view it as a blocker.  


Checking: gap-pkg-aclib-1.2-1.fc23.noarch.rpm
          gap-pkg-aclib-1.2-1.fc23.src.rpm
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US libraray -> library, Libra
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
gap-pkg-aclib.noarch: W: only-non-binary-in-usr-lib
gap-pkg-aclib.noarch: W: wrong-file-end-of-line-encoding /usr/lib/gap/pkg/aclib/doc/algos.tex
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Entries
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Root
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Repository
gap-pkg-aclib.src: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.src: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.src: W: spelling-error %description -l en_US libraray -> library, Libra
gap-pkg-aclib.src: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
2 packages and 0 specfiles checked; 3 errors, 10 warnings.

sh: /usr/bin/python: No such file or directory
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US libraray -> library, Libra
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
gap-pkg-aclib.noarch: W: only-non-binary-in-usr-lib
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Repository
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Entries
gap-pkg-aclib.noarch: E: version-control-internal-file /usr/lib/gap/pkg/aclib/gap/CVS/Root
gap-pkg-aclib.noarch: W: wrong-file-end-of-line-encoding /usr/lib/gap/pkg/aclib/doc/algos.tex
1 packages and 0 specfiles checked; 3 errors, 6 warnings.

Comment 2 Jerry James 2015-07-21 04:16:52 UTC
Okay, this version fixes the typo in the description and the end-of-line encoding issue, and doesn't package the CVS subdirectory.  New URLs:

Spec URL: https://jjames.fedorapeople.org/gap-pkg-aclib/gap-pkg-aclib.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-aclib/gap-pkg-aclib-1.2-2.fc24.src.rpm

Comment 3 Gerald Cox 2015-07-21 18:50:37 UTC
Sorry, I missed this one:

- Package does not own files or directories owned by other packages.
  Note: Dirs in package are owned also by:
  /usr/lib/gap/pkg/aclib/gap(languages, langpacks:, enabled, are, No),
  /usr/lib/gap/pkg/aclib/htm(languages, langpacks:, enabled, are, No),
  /usr/lib/gap/pkg/aclib/doc(languages, langpacks:, enabled, are, No),
  /usr/lib/gap/pkg/aclib(languages, langpacks:, enabled, are, No)

Comment 4 Jerry James 2015-07-22 14:46:23 UTC
Do you happen to have an earlier build of gap-pkg-aclib installed on the machine where this check is being run (i.e., so that the checker sees the installed package and thinks that the directory ownership clashes as a result)?

Comment 5 Gerald Cox 2015-07-22 18:53:22 UTC
Apparently, this issue was being caused by a changes that have been made to dnf.  I found:  https://bugzilla.redhat.com/show_bug.cgi?id=1244531
and applied the update which appears to have fixed this particular issue; however, I commented in the ticket that while I was testing I found other packages which previously passed review fine are now showing errors.  

In any event, it's working now, so I'm approving this before something else breaks... ;-)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

FALSE POSITIVES:

- W: spelling-error Summary(en_US) [...listed below...]

SHOULD:

- %check is present and all tests pass.

- W: only-non-binary-in-usr-lib
  Same situation that occurred in rhbz#1233984

- If the source package does not include license text(s) as a separate
  file from upstream, the packager SHOULD query upstream to include it.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/gbcox/bugzilla_fedora_review/1233989
     -gap-pkg-aclib/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-aclib-1.2-2.fc24.noarch.rpm
          gap-pkg-aclib-1.2-2.fc24.src.rpm
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
gap-pkg-aclib.noarch: W: only-non-binary-in-usr-lib
gap-pkg-aclib.src: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.src: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.src: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US nilpotent -> nil potent, nil-potent, Omnipotent
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US cyrstallographic -> crystallographic, crystallography, photographically
gap-pkg-aclib.noarch: W: spelling-error %description -l en_US polycyclic -> poly cyclic, poly-cyclic, polyclinic
gap-pkg-aclib.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
gap-pkg-aclib (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-aclib:
    gap-pkg-aclib



Source checksums
----------------
http://www.icm.tu-bs.de/~beick/soft/aclib/aclib-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : e4d315864677ca7f000ae322cdd58a265f5efe9c2e0e1eafcd531ff02bd1dd7e
  CHECKSUM(SHA256) upstream package : e4d315864677ca7f000ae322cdd58a265f5efe9c2e0e1eafcd531ff02bd1dd7e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1233989 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Jerry James 2015-07-22 20:13:52 UTC
(In reply to Gerald Cox from comment #5)
> In any event, it's working now, so I'm approving this before something else
> breaks... ;-)

Ha!  Thank you so much once again for the reviews.  I owe you a few.  Ping me when you have something I can review for you.

Comment 7 Jerry James 2015-07-22 20:16:43 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-aclib
Short Description: Almost Crystallographic groups library for GAP
Upstream URL: http://www.icm.tu-bs.de/~beick/so.html
Owners: jjames
Branches: f22 f23
InitialCC:

Comment 8 Gwyn Ciesla 2015-07-23 13:42:20 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-07-24 02:44:01 UTC
gap-pkg-aclib-1.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-aclib-1.2-2.fc22

Comment 10 Fedora Update System 2015-07-30 00:53:22 UTC
gap-pkg-aclib-1.2-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-08-07 13:03:31 UTC
gap-pkg-aclib-1.2-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.